/*
 * revtab.h
 * look up ipa and math font glyphs corresponding to unicode
 * Greg Lee, 8/01
 */
int revtab[][4] = {
{ 0x21, IPA,  33,  -1 },  /* exclamation mark */
{ 0x28, IPA,  40,  -1 },  /* left parenthesis */
{ 0x29, IPA,  41,  -1 },  /* right parenthesis */
{ 0x2a, IPA,  42,  -1 },  /* asterisk */
{ 0x2b, IPA,  43,  -1 },  /* plus sign */
{ 0x2c, IPA,  44,  -1 },  /* comma */
{ 0x2d, IPA,  45,  -1 },  /* minus */
{ 0x2e, IPA,  46,  -1 },  /* full stop */
{ 0x2f, IPA,  47,  -1 },  /* solidus */
{ 0x3f, IPA,  63,  -1 },  /* question mark */
{ 0x5b, IPA,  91,  -1 },  /* left square bracket */
{ 0x5d, IPA,  93,  -1 },  /* right square bracket */
{ 0x60, IPA,  92,  -1 },  /* grave accent */
{ 0x61, IPA, 'a', -1 }, /* latin small letter a */
{ 0x62, IPA, 'b', -1 }, /* latin small letter b */
{ 0x63, IPA, 'c', -1 }, /* latin small letter c */
{ 0x64, IPA, 'd', -1 }, /* latin small letter d */
{ 0x65, IPA, 'e', -1 }, /* latin small letter e */
{ 0x66, IPA, 'f', -1 }, /* latin small letter f */
{ 0x67, IPA, 165, -1 }, /* latin small letter g */
{ 0x68, IPA, 'h', -1 }, /* latin small letter h */
{ 0x69, IPA, 'i', -1 }, /* latin small letter i */
{ 0x6a, IPA, 'j', -1 }, /* latin small letter j */
{ 0x6b, IPA, 'k', -1 }, /* latin small letter k */
{ 0x6c, IPA, 'l', -1 }, /* latin small letter l */
{ 0x6d, IPA, 'm', -1 }, /* latin small letter m */
{ 0x6e, IPA, 'n', -1 }, /* latin small letter n */
{ 0x6f, IPA, 'o', -1 }, /* latin small letter o */
{ 0x70, IPA, 'p', -1 }, /* latin small letter p */
{ 0x71, IPA, 'q', -1 }, /* latin small letter q */
{ 0x72, IPA, 'r', -1 }, /* latin small letter r */
{ 0x73, IPA, 's', -1 }, /* latin small letter s */
{ 0x74, IPA, 't', -1 }, /* latin small letter t */
{ 0x75, IPA, 'u', -1 }, /* latin small letter u */
{ 0x76, IPA, 'v', -1 }, /* latin small letter v */
{ 0x77, IPA, 'w', -1 }, /* latin small letter w */
{ 0x78, IPA, 'x', -1 }, /* latin small letter x */
{ 0x79, IPA, 'y', -1 }, /* latin small letter y */
{ 0x7a, IPA, 'z', -1 }, /* latin small letter z */
{ 0x7c, IPA,  146,  -1 },  /* vertical line */
{ 0xc0, ROMAN, 'A', 0 }, /* CAPITAL LETTER A WITH GRAVE */
{ 0xc1, ROMAN, 'A', 1 }, /* CAPITAL LETTER A WITH ACUTE */
{ 0xc2, ROMAN, 'A', 2 }, /* CAPITAL LETTER A WITH CIRCUMFLEX */
{ 0xc3, ROMAN, 'A', 3 }, /* CAPITAL LETTER A WITH TILDE */
{ 0xc4, ROMAN, 'A', 4 }, /* CAPITAL LETTER A WITH DIAERESIS */
{ 0xc5, ROMAN, 'A', 6 }, /* CAPITAL LETTER A WITH RING ABOVE */
 /* 0xc6 CAPITAL LETTER AE */
{ 0xc7, ROMAN, 'C', 11 }, /* CAPITAL LETTER C WITH CEDILLA */
{ 0xc8, ROMAN, 'E', 0 }, /* CAPITAL LETTER E WITH GRAVE */
{ 0xc9, ROMAN, 'E', 1 }, /* CAPITAL LETTER E WITH ACUTE */
{ 0xca, ROMAN, 'E', 2 }, /* CAPITAL LETTER E WITH CIRCUMFLEX */
{ 0xcb, ROMAN, 'E', 4 }, /* CAPITAL LETTER E WITH DIAERESIS */
{ 0xcc, ROMAN, 'I', 0 }, /* CAPITAL LETTER I WITH GRAVE */
{ 0xcd, ROMAN, 'I', 1 }, /* CAPITAL LETTER I WITH ACUTE */
{ 0xce, ROMAN, 'I', 2 }, /* CAPITAL LETTER I WITH CIRCUMFLEX */
{ 0xcf, ROMAN, 'I', 4 }, /* CAPITAL LETTER I WITH DIAERESIS */
 /* 0xd0 CAPITAL LETTER ETH */
{ 0xd1, ROMAN, 'N', 3 }, /* CAPITAL LETTER N WITH TILDE */
{ 0xd2, ROMAN, 'O', 0 }, /* CAPITAL LETTER O WITH GRAVE */
{ 0xd3, ROMAN, 'O', 1 }, /* CAPITAL LETTER O WITH ACUTE */
{ 0xd4, ROMAN, 'O', 2 }, /* CAPITAL LETTER O WITH CIRCUMFLEX */
{ 0xd5, ROMAN, 'O', 3 }, /* CAPITAL LETTER O WITH TILDE */
{ 0xd6, ROMAN, 'O', 4 }, /* CAPITAL LETTER O WITH DIAERESIS */
 /* 0xd7 MULTIPLICATION SIGN */
 /* 0xd8 CAPITAL LETTER O WITH STROKE */
{ 0xd9, ROMAN, 'U', 0 }, /* CAPITAL LETTER U WITH GRAVE */
{ 0xda, ROMAN, 'U', 1 }, /* CAPITAL LETTER U WITH ACUTE */
{ 0xdb, ROMAN, 'U', 2 }, /* CAPITAL LETTER U WITH CIRCUMFLEX */
{ 0xdc, ROMAN, 'U', 4 }, /* CAPITAL LETTER U WITH DIAERESIS */
{ 0xdd, ROMAN, 'Y', 1 }, /* CAPITAL LETTER Y WITH ACUTE */
 /* 0xde CAPITAL LETTER THORN */
/* { 0xdf, 1, 0xdf, -1 }, latin small letter sharp */
{ 0xe0, IPA, 'a', 0 }, /* latin small letter a with grave, with grave accent */
{ 0xe1, IPA, 'a', 1 }, /* latin small letter a with acute, with acute accent */
{ 0xe2, IPA, 'a', 2 }, /* latin small letter a with circumflex, with circumflex accent */
{ 0xe3, IPA, 'a', 3 }, /* latin small letter a with tilde, with tilde */
{ 0xe4, IPA, 'a', 4 }, /* latin small letter a with diaeresis, with diaeresis */
{ 0xe5, IPA, 'a', 6 }, /* latin small letter a with ring above, with ring above */
{ 0xe6, ROMAN,  0xe6,  -1 },  /* latin small letter ae */
{ 0xe6, IPA,  230,  -1 },  /* latin small letter ae */
{ 0xe7, ROMAN,  0xe7,  -1 },  /* latin small letter c with cedilla */
{ 0xe7, IPA,  231,  -1 },  /* latin small letter c with cedilla */
{ 0xe8, IPA, 'e', 0 }, /* latin small letter e with grave, with grave accent */
{ 0xe9, IPA, 'e', 1 }, /* latin small letter e with acute, with acute accent */
{ 0xea, IPA, 'e', 2 }, /* latin small letter e with circumflex, with circumflex accent */
{ 0xeb, IPA, 'e', 4 }, /* latin small letter e with diaeresis, with diaeresis */
{ 0xec, IPA, 'i', 0 }, /* latin small letter i with grave, with grave accent */
{ 0xed, IPA, 'i', 1 }, /* latin small letter i with acute, with acute accent */
{ 0xee, IPA, 'i', 2 }, /* latin small letter i with circumflex, with circumflex accent */
{ 0xef, IPA, 'i', 4 }, /* latin small letter i with diaeresis, with diaeresis */
{ 0xf0, ROMAN,  0xf0,  -1 },  /* latin small letter eth */
{ 0xf0, IPA,  68,  -1 },  /* latin small letter eth */
{ 0xf1, IPA, 'n', 3 }, /* latin small letter n with tilde, with tilde */
{ 0xf2, IPA, 'o', 0 }, /* latin small letter o with grave, with grave accent */
{ 0xf3, IPA, 'o', 1 }, /* latin small letter o with acute, with acute accent */
{ 0xf4, IPA, 'o', 2 }, /* latin small letter o with circumflex, with circumflex accent */
{ 0xf5, IPA, 'o', 3 }, /* latin small letter o with tilde, with tilde */
{ 0xf6, IPA, 'o', 4 }, /* latin small letter o with diaeresis, with diaeresis */
{ 0xf8, IPA,  248,  -1 },  /* latin small letter o with stroke */
{ 0xf9, IPA, 'u', 0 }, /* latin small letter u with grave, with grave accent */
{ 0xfa, IPA, 'u', 1 }, /* latin small letter u with acute, with acute accent */
{ 0xfb, IPA, 'u', 2 }, /* latin small letter u with circumflex, with circumflex accent */
{ 0xfc, IPA, 'u', 4 }, /* latin small letter u with diaeresis, with diaeresis */
{ 0xfd, IPA, 'y', 1 }, /* latin small letter y with acute, with acute accent */
{ 0xfe, IPA,  254,  -1 },  /* latin small letter thorn */
{ 0xff, IPA, 'y', 4 }, /* latin small letter y with diaeresis, with diaeresis */
{ 0x100, ROMAN, 'A', 9 }, /* latin letter a with macron, with macron */
{ 0x101, IPA, 'a', 9 }, /* latin small letter a with macron, with macron */
{ 0x102, ROMAN, 'A', 8 }, /* latin letter a with breve, with breve */
{ 0x103, IPA, 'a', 8 }, /* latin small letter a with breve, with breve */
{ 0x104, ROMAN, 'A', 12 }, /* latin letter a with ogonek, with ogonek */
{ 0x105, IPA, 'a', 12 }, /* latin small letter a with ogonek, with ogonek */
{ 0x106, ROMAN, 'C', 1 }, /* latin letter c with acute, with acute accent */
{ 0x107, IPA, 'c', 1 }, /* latin small letter c with acute, with acute accent */
{ 0x108, ROMAN, 'C', 2 }, /* latin letter c with circumflex, with circumflex accent */
{ 0x109, IPA, 'c', 2 }, /* latin small letter c with circumflex, with circumflex accent */
{ 0x10a, ROMAN, 'C', 10 }, /* latin letter c with dot above, with dot above */
{ 0x10b, IPA, 'c', 10 }, /* latin small letter c with dot above, with dot above */
{ 0x10c, ROMAN, 'C', 7 }, /* latin letter c with caron, with caron */
{ 0x10d, IPA, 'c', 7 }, /* latin small letter c with caron, with caron */
{ 0x10e, ROMAN, 'D', 7 }, /* latin letter d with caron, with caron */
{ 0x10f, IPA, 'd', 7 }, /* latin small letter d with caron, with caron */
{ 0x111, IPA,  161,  -1 },  /* latin small letter d with stroke */
{ 0x112, ROMAN, 'E', 9 }, /* latin letter e with macron, with macron */
{ 0x113, IPA, 'e', 9 }, /* latin small letter e with macron, with macron */
{ 0x114, ROMAN, 'E', 8 }, /* latin letter e with breve, with breve */
{ 0x115, IPA, 'e', 8 }, /* latin small letter e with breve, with breve */
{ 0x116, ROMAN, 'E', 10 }, /* latin letter e with dot above, with dot above */
{ 0x117, IPA, 'e', 10 }, /* latin small letter e with dot above, with dot above */
{ 0x118, ROMAN, 'E', 12 }, /* latin letter e with ogonek, with ogonek */
{ 0x119, IPA, 'e', 12 }, /* latin small letter e with ogonek, with ogonek */
{ 0x11a, ROMAN, 'E', 7 }, /* latin letter e with caron, with caron */
{ 0x11b, IPA, 'e', 7 }, /* latin small letter e with caron, with caron */

{ 0x11c, ROMAN, 'G', 2 }, /* latin letter G with circumflex */
{ 0x11d, ROMAN, 'g', 2 }, /* latin small letter g with circumflex */
{ 0x11d, IPA, 165, 2 }, /* latin small letter g with circumflex */

{ 0x11e, ROMAN, 'G', 8 }, /* latin letter g with breve */
{ 0x11f, ROMAN, 'g', 8 }, /* latin small letter g with breve */
{ 0x11f, IPA, 165, 8 }, /* latin small letter g with breve */

{ 0x120, ROMAN, 'G', 10 }, /* latin letter G with dot above */
{ 0x121, ROMAN, 'g', 10 }, /* latin small letter g with dot above */
{ 0x121, IPA, 165, 10 }, /* latin small letter g with dot above */

{ 0x122, ROMAN, 'G', 11 }, /* latin letter G with cedilla */
{ 0x123, ROMAN, 'g', 11 }, /* latin small letter g with cedilla */
{ 0x123, IPA, 165, 11 }, /* latin small letter g with cedilla */

{ 0x124, ROMAN, 'H', 2 }, /* latin letter H with circumflex */
{ 0x125, IPA, 'h', 2 }, /* latin small letter h with circumflex */
{ 0x126, ROMAN,  'H', PS_stroke },  /* latin letter H with stroke */
{ 0x127, ROMAN,  'h', PS_stroke },  /* latin small letter h with stroke */
{ 0x127, IPA,  232,  -1 },  /* latin small letter h with stroke */
{ 0x128, ROMAN, 'I', 3 }, /* latin letter I with tilde */
{ 0x129, IPA, 'i', 3 }, /* latin small letter i with tilde */
{ 0x12a, ROMAN, 'I', 9 }, /* latin letter I with macron */
{ 0x12b, IPA, 'i', 9 }, /* latin small letter i with macron */
{ 0x12c, ROMAN, 'I', 8 }, /* latin small letter i with breve */
{ 0x12d, IPA, 'i', 8 }, /* latin small letter i with breve */
{ 0x12e, ROMAN, 'I', 12 }, /* latin small letter i with ogonek */
{ 0x12f, IPA, 'i', 12 }, /* latin small letter i with ogonek */

{ 0x130, ROMAN, 'I', 10 }, /* latin letter I with dot above, with dot above */

{ 0x131, IPA,  25,  -1 },  /* latin small letter dotless i */
{ 0x134, ROMAN, 'J', 2 }, /* latin letter j with circumflex, with circumflex accent */
{ 0x135, IPA, 'j', 2 }, /* latin small letter j with circumflex, with circumflex accent */
{ 0x136, ROMAN, 'K', 11 }, /* latin letter k with cedilla, with cedilla */
{ 0x137, IPA, 'k', 11 }, /* latin small letter k with cedilla, with cedilla */
{ 0x139, ROMAN, 'L', 1 }, /* latin letter l with acute, with acute accent */
{ 0x13a, IPA, 'l', 1 }, /* latin small letter l with acute, with acute accent */
{ 0x13b, ROMAN, 'L', 11 }, /* latin letter l with cedilla, with cedilla */
{ 0x13c, IPA, 'l', 11 }, /* latin small letter l with cedilla, with cedilla */
{ 0x13d, ROMAN, 'L', 7 }, /* latin letter l with caron, with caron */
{ 0x13e, IPA, 'l', 7 }, /* latin small letter l with caron, with caron */
{ 0x141, ROMAN, PS_Lslash, -1 }, /* latin letter L with stroke */
{ 0x142, ROMAN, PS_lslash, -1 }, /* latin small letter l with stroke */
{ 0x142, IPA, 170, -1 }, /* latin small letter l with stroke */
{ 0x143, ROMAN, 'N', 1 }, /* latin letter n with acute, with acute accent */
{ 0x144, IPA, 'n', 1 }, /* latin small letter n with acute, with acute accent */
{ 0x145, ROMAN, 'N', 11 }, /* latin letter n with cedilla, with cedilla */
{ 0x146, IPA, 'n', 11 }, /* latin small letter n with cedilla */
{ 0x147, ROMAN, 'N', 7 }, /* latin letter N with caron */
{ 0x148, IPA, 'n', 7 }, /* latin small letter n with caron */
{ 0x14b, IPA,  78,  -1 },  /* latin small letter eng */
{ 0x14c, ROMAN, 'O', 9 }, /* latin letter O with macron */
{ 0x14d, IPA, 'o', 9 }, /* latin small letter o with macron */
{ 0x14e, ROMAN, 'O', 8 }, /* latin letter O with breve */
{ 0x14f, IPA, 'o', 8 }, /* latin small letter o with breve */
{ 0x150, ROMAN, 'O', 5 }, /* latin letter o with double acute */
{ 0x151, IPA, 'o', 5 }, /* latin small letter o with double acute */
{ 0x152, ROMAN,  PS_OE,  -1 },  /* latin small ligature oe */
{ 0x153, ROMAN,  PS_oe,  -1 },  /* latin small ligature oe */
{ 0x153, IPA,  247,  -1 },  /* latin small ligature oe */

{ 0x154, ROMAN, 'R', 1 }, /* latin letter r with acute, with acute accent */
{ 0x155, IPA, 'r', 1 }, /* latin small letter r with acute, with acute accent */
{ 0x156, ROMAN, 'R', 11 }, /* latin letter r with cedilla, with cedilla */
{ 0x157, IPA, 'r', 11 }, /* latin small letter r with cedilla, with cedilla */
{ 0x158, ROMAN, 'R', 7 }, /* latin letter r with caron, with caron */
{ 0x159, IPA, 'r', 7 }, /* latin small letter r with caron, with caron */
{ 0x15a, ROMAN, 'S', 1 }, /* latin letter s with acute, with acute accent */
{ 0x15b, IPA, 's', 1 }, /* latin small letter s with acute, with acute accent */
{ 0x15c, ROMAN, 'S', 2 }, /* latin letter s with circumflex, with circumflex accent */
{ 0x15d, IPA, 's', 2 }, /* latin small letter s with circumflex, with circumflex accent */
{ 0x15e, ROMAN, 'S', 11 }, /* latin letter s with cedilla, with cedilla */
{ 0x15f, IPA, 's', 11 }, /* latin small letter s with cedilla, with cedilla */
{ 0x160, ROMAN, 'S', 7 }, /* latin letter s with caron, with caron */
{ 0x161, IPA, 's', 7 }, /* latin small letter s with caron, with caron */
{ 0x162, ROMAN, 'T', 11 }, /* latin letter t with cedilla, with cedilla */
{ 0x163, IPA, 't', 11 }, /* latin small letter t with cedilla, with cedilla */
{ 0x164, ROMAN, 'T', 7 }, /* latin letter t with caron, with caron */
{ 0x165, IPA, 't', 7 }, /* latin small letter t with caron, with caron */

{ 0x168, ROMAN, 'U', 3 }, /* latin letter u with tilde, with tilde */
{ 0x169, IPA, 'u', 3 }, /* latin small letter u with tilde, with tilde */
{ 0x16a, ROMAN, 'U', 9 }, /* latin letter u with macron, with macron */
{ 0x16b, IPA, 'u', 9 }, /* latin small letter u with macron, with macron */
{ 0x16c, ROMAN, 'U', 8 }, /* latin letter u with breve, with breve */
{ 0x16d, IPA, 'u', 8 }, /* latin small letter u with breve, with breve */
{ 0x16e, ROMAN, 'U', 6 }, /* latin letter u with ring above, with ring above */
{ 0x16f, IPA, 'u', 6 }, /* latin small letter u with ring above, with ring above */
{ 0x170, ROMAN, 'U', 5 }, /* latin letter u with double acute, with double acute accent */
{ 0x171, IPA, 'u', 5 }, /* latin small letter u with double acute, with double acute accent */
{ 0x172, ROMAN, 'U', 12 }, /* latin letter u with ogonek, with ogonek */
{ 0x173, IPA, 'u', 12 }, /* latin small letter u with ogonek, with ogonek */
{ 0x174, ROMAN, 'W', 2 }, /* latin letter w with circumflex, with circumflex accent */
{ 0x175, IPA, 'w', 2 }, /* latin small letter w with circumflex, with circumflex accent */
{ 0x176, ROMAN, 'Y', 2 }, /* latin letter y with circumflex, with circumflex accent */
{ 0x177, IPA, 'y', 2 }, /* latin small letter y with circumflex, with circumflex accent */

{ 0x178, ROMAN, 'Y', 4 }, /* latin letter Y with dieresis */

{ 0x179, ROMAN, 'Z', 1 }, /* latin letter z with acute, with acute accent */
{ 0x17a, IPA, 'z', 1 }, /* latin small letter z with acute, with acute accent */
{ 0x17b, ROMAN, 'Z', 10 }, /* latin letter z with dot above, with dot above */
{ 0x17c, IPA, 'z', 10 }, /* latin small letter z with dot above, with dot above */
{ 0x17d, ROMAN, 'Z', 7 }, /* latin letter z with caron, with caron */
{ 0x17e, IPA, 'z', 7 }, /* latin small letter z with caron, with caron */

{ 0x180, ROMAN,  'b', PS_stroke },  /* latin small letter b with stroke */
{ 0x180, IPA,  160,  -1 },  /* latin small letter b with stroke */
{ 0x182, ROMAN,  'B', PS_macron },  /* latin letter B with topbar */
{ 0x183, IPA,  'b', PS_macron },  /* latin small letter b with topbar */
{ 0x188, IPA,  193,  -1 },  /* latin small letter c with hook */
{ 0x18b, ROMAN,  'D', PS_macron },  /* latin letter D with topbar */
{ 0x18c, IPA,  'd', PS_macron },  /* latin letter d with topbar */
/* 0x18d, IPX, small letter turned delta */
{ 0x195, IPA,  255,  -1 },  /* latin small letter hv */
{ 0x199, IPA,  206,  -1 },  /* latin small letter k with hook */
/* { 0x19a, IPA,  170,  -1 },  * latin small letter l with bar */
{ 0x19b, IPA,  172,  -1 },  /* crossed lambda */
{ 0x19e, IPA,  144,  -1 },  /* latin small letter n with long right leg */
{ 0x1a5, IPA,  210,  -1 },  /* latin small letter p with hook */
{ 0x1aa, IPA, 140, -1 }, /* reversed esh with loop */
{ 0x1ab, IPA, 179, -1 }, /* latin small letter t with palatal hook */
{ 0x1ad, IPA,  214,  -1 },  /* latin small letter t with hook */
{ 0x1b4, IPA, 'y', 35 }, /* latin small letter y with hook (hooktop ??) */
{ 0x1b9, IPA,  185,  -1 },  /* latin small letter ezh reversed */
{ 0x1ba, IPA,  184,  -1 },  /* latin small letter ezh with tail */
{ 0x1bf, IPA,  223,  -1 },  /* latin letter wynn */
{ 0x1c0, IPA, 124, -1 }, /* latin letter dental click; pipe */
{ 0x1c1, IPA, 123, -1 }, /* latin letter lateral click; double pipe */
{ 0x1c2, IPA, 125, -1 }, /* latin letter alveolar click; pipe double bar */
{ 0x1c3, IPA, 33, -1 }, /* latin letter retroflex click; exclamation mark */
{ 0x1cd, ROMAN, 'A', 7 }, /* latin letter A with caron */
{ 0x1ce, IPA, 'a', 7 }, /* latin small letter a with caron, with caron */
{ 0x1cf, ROMAN, 'I', 7 }, /* latin letter I with caron */
{ 0x1d0, IPA, 'i', 7 }, /* latin small letter i with caron, with caron */
{ 0x1d1, ROMAN, 'O', 7 }, /* latin letter O with caron */
{ 0x1d2, IPA, 'o', 7 }, /* latin small letter o with caron */
{ 0x1d3, ROMAN, 'U', 7 }, /* latin letter U with caron */
{ 0x1d4, IPA, 'u', 7 }, /* latin small letter u with caron */
{ 0x1e3, ROMAN, 0xe6, 9 }, /* latin small letter ae with macron */
{ 0x1e3, IPA, 230, 9 }, /* latin small letter ae with macron */
{ 0x1e4, ROMAN, 'G', PS_stroke }, /* latin letter G with stroke */
{ 0x1e5, ROMAN, 'g', PS_stroke }, /* latin letter g with stroke */
{ 0x1e6, ROMAN, 'G', 7 }, /* latin letter G with caron */
{ 0x1e7, ROMAN, 'g', 7 }, /* latin small letter g with caron */
{ 0x1e7, IPA, 165, 7 }, /* latin small letter g with caron */
{ 0x1e8, ROMAN, 'K', 7 }, /* latin letter K with caron */
{ 0x1e9, IPA, 'k', 7 }, /* latin small letter k with caron */
{ 0x1ea, ROMAN, 'O', 12 }, /* latin letter o with ogonek */
{ 0x1eb, IPA, 'o', 12 }, /* latin small letter o with ogonek, with ogonek */
{ 0x1ef, IPA, 90, 7 }, /* latin small letter ezh with caron */
{ 0x1f0, IPA, 'j', 7 }, /* latin small letter j with caron */
{ 0x1f4, ROMAN, 'G', 1 }, /* latin letter G with acute */
{ 0x1f5, IPA, 165, 1 }, /* latin small letter g with acute */
{ 0x1f8, ROMAN, 'N', 0 }, /* latin letter N with grave */
{ 0x1f9, IPA, 'n', 0 }, /* latin small letter n with grave, with grave accent */
{ 0x1fc, ROMAN, 0xc6, 1 }, /* latin letter AE with acute */
{ 0x1fd, IPA, 230, 1 }, /* latin small letter ae with acute, with acute accent */
{ 0x200, ROMAN, 'A', 13 }, /* latin letter A with double grave, with double grave accent */
{ 0x201, IPA, 'a', 13 }, /* latin small letter a with double grave, with double grave accent */
{ 0x204, ROMAN, 'E', 13 }, /* latin letter E with double grave, with double grave accent */
{ 0x205, IPA, 'e', 13 }, /* latin small letter e with double grave, with double grave accent */
{ 0x208, ROMAN, 'I', 13 }, /* latin letter I with double grave, with double grave accent */
{ 0x209, IPA, 'i', 13 }, /* latin small letter i with double grave, with double grave accent */
{ 0x20c, ROMAN, 'O', 13 }, /* latin letter O with double grave, with double grave accent */
{ 0x20d, IPA, 'o', 13 }, /* latin small letter o with double grave, with double grave accent */
{ 0x210, ROMAN, 'R', 13 }, /* latin letter R with double grave, with double grave accent */
{ 0x211, IPA, 'r', 13 }, /* latin small letter r with double grave, with double grave accent */
{ 0x214, ROMAN, 'U', 13 }, /* latin letter U with double grave, with double grave accent */
{ 0x215, IPA, 'u', 13 }, /* latin small letter u with double grave, with double grave accent */
{ 0x21d, IPA,  90,  -1 },  /* latin small letter yogh */
{ 0x21e, ROMAN, 'H', 7 }, /* latin letter H with caron */
{ 0x21f, IPA, 'h', 7 }, /* latin small letter h with caron, with caron */
{ 0x225, IPA, 'z', 35 }, /* latin small letter z with hook */
{ 0x226, ROMAN, 'A', 10 }, /* latin letter A with dot above, with dot above */
{ 0x227, IPA, 'a', 10 }, /* latin small letter a with dot above, with dot above */
{ 0x228, ROMAN, 'E', 11 }, /* latin letter E with cedilla */
{ 0x229, IPA, 'e', 11 }, /* latin small letter e with cedilla, with cedilla */
{ 0x22e, ROMAN, 'O', 10 }, /* latin letter O with dot above */
{ 0x22f, IPA, 'o', 10 }, /* latin small letter o with dot above, with dot above */
{ 0x232, ROMAN, 'Y', 9 }, /* latin letter Y with macron */
{ 0x233, IPA, 'y', 9 }, /* latin small letter y with macron, with macron */
{ 0x250, IPA,  53,  -1 },  /* latin small letter turned a */
{ 0x251, IPA,  65,  -1 },  /* latin small letter alpha; script a */
{ 0x252, IPA,  54,  -1 },  /* latin small letter turned alpha */
{ 0x253, IPA,  225,  -1 },  /* latin small letter b with hook */
{ 0x254, IPA,  79,  -1 },  /* latin small letter open o */
{ 0x255, IPA,  67,  -1 },  /* latin small letter c with curl */
{ 0x256, IPA,  227,  -1 },  /* latin small letter d with tail; retroflex hook */
{ 0x257, IPA,  226,  -1 },  /* latin small letter d with hook */
{ 0x258, IPA,  57,  -1 },  /* latin small letter reversed e */
{ 0x259, IPA,  64,  -1 },  /* latin small letter schwa */
{ 0x25a, IPA,  196,  -1 },  /* latin small letter schwa with hook */
{ 0x25b, IPA,  69,  -1 },  /* latin small letter open e */
{ 0x25c, IPA,  51,  -1 },  /* latin small letter reversed open e */
{ 0x25d, IPA,  199,  -1 },  /* latin small letter reversed open e with hook */
{ 0x25e, IPA,  198,  -1 },  /* latin small letter closed reversed open e */
{ 0x25f, IPA,  233,  -1 },  /* latin small letter dotless j with stroke */
{ 0x260, IPA,  228,  -1 },  /* latin small letter g with hook */
{ 0x261, IPA, 'g', -1 }, /* latin small letter script g */
{ 0x262, IPA,  229,  -1 },  /* latin letter small capital g */
{ 0x263, IPA,  71,  -1 },  /* latin small letter gamma */
{ 0x264, IPA,  55,  -1 },  /* latin small letter rams horn */
{ 0x265, IPA,  52,  -1 },  /* latin small letter turned h */
{ 0x266, IPA,  72,  -1 },  /* latin small letter h with hook */
{ 0x267, IPA,  202,  -1 },  /* latin small letter heng with hook */
{ 0x268, IPA,  49,  -1 },  /* latin small letter i with stroke */
{ 0x269, IPA,  204,  -1 },  /* latin small letter iota */
{ 0x26a, IPA,  73,  -1 },  /* latin letter small capital i */
{ 0x26b, IPA,  235,  -1 },  /* latin small letter l with middle tilde */
{ 0x26c, IPA,  236,  -1 },  /* latin small letter l with belt */
{ 0x26d, IPA,  237,  -1 },  /* latin small letter l with retroflex hook */
{ 0x26e, IPA,  208,  -1 },  /* latin small letter lezh */
{ 0x26f, IPA,  87,  -1 },  /* latin small letter turned m */
{ 0x270, IPA,  238,  -1 },  /* latin small letter turned m with long leg */
{ 0x271, IPA,  77,  -1 },  /* latin small letter m with hook */
{ 0x272, IPA,  241,  -1 },  /* latin small letter n with left hook */
{ 0x273, IPA,  239,  -1 },  /* latin small letter n with retroflex hook */
{ 0x274, IPA,  240,  -1 },  /* latin letter small capital n */
{ 0x275, IPA,  56,  -1 },  /* latin small letter barred o */
{ 0x276, IPA,  215,  -1 },  /* latin letter small capital oe */
{ 0x277, IPA,  209,  -1 },  /* latin small letter closed omega */
{ 0x278, IPA,  70,  -1 },  /* latin small letter phi */
{ 0x279, IPA,  244,  -1 },  /* latin small letter turned r */
{ 0x27a, IPA,  213,  -1 },  /* latin small letter turned r with long leg */
{ 0x27b, IPA,  245,  -1 },  /* latin small letter turned r with hook */
{ 0x27c, IPA,  212,  -1 },  /* latin small letter r with long leg */
{ 0x27d, IPA,  245,  -1 },  /* latin small letter r with tail */
{ 0x27e, IPA,  82,  -1 },  /* latin small letter r with fishhook */
{ 0x27f, IPA,  143,  -1 },  /* latin small letter reversed r with fishhook = left-hooktop i */
{ 0x280, IPA,  246,  -1 },  /* latin letter small capital r */
{ 0x281, IPA,  75,  -1 },  /* latin letter small capital inverted r */
{ 0x282, IPA,  249,  -1 },  /* latin small letter s with hook */
{ 0x283, IPA,  83,  -1 },  /* latin small letter esh */
{ 0x284, IPA,  234,  -1 },  /* latin small letter dotless j with stroke and hook */
{ 0x286, IPA,  178,  -1 },  /* latin small letter esh with curl */
{ 0x287, IPA,  216,  -1 },  /* latin small letter turned t */
{ 0x288, IPA,  250,  -1 },  /* latin small letter t with retroflex hook */
{ 0x289, IPA,  48,  -1 },  /* latin small letter u bar */
{ 0x28a, IPA,  85,  -1 },  /* latin small letter upsilon */
{ 0x28b, IPA,  86,  -1 },  /* latin small letter v with hook; script v */
{ 0x28c, IPA,  50,  -1 },  /* latin small letter turned v */
{ 0x28d, IPA,  251,  -1 },  /* latin small letter turned w */
{ 0x28e, IPA,  76,  -1 },  /* latin small letter turned y */
{ 0x28f, IPA,  89,  -1 },  /* latin letter small capital y */
{ 0x290, IPA,  252,  -1 },  /* latin small letter z with retroflex hook */
{ 0x291, IPA,  253,  -1 },  /* latin small letter z with curl */
{ 0x292, IPA,  90,  -1 },  /* latin small letter ezh (== yogh??) */
{ 0x294, IPA,  80,  -1 },  /* latin letter glottal stop */
{ 0x295, IPA,  81,  -1 },  /* latin letter pharyngeal voiced fricative; reversed glottal stop */
{ 0x296, IPA,  219,  -1 },  /* latin letter inverted glottal stop */
{ 0x297, IPA,  194,  -1 },  /* latin letter stretched c */
{ 0x298, IPA,  242,  -1 },  /* latin letter bilabial click; bullseye */
{ 0x299, IPA,  224,  -1 },  /* latin letter small capital b */
{ 0x29a, IPA,  197,  -1 },  /* latin small letter closed open e */
{ 0x29b, IPA,  201,  -1 },  /* latin letter small capital g with hook */
{ 0x29c, IPA,  203,  -1 },  /* latin letter small capital h */
{ 0x29d, IPA,  205,  -1 },  /* latin small letter j with crossed-tail */
{ 0x29e, IPA,  169,  -1 },  /* latin small letter turned k */
{ 0x29f, IPA,  207,  -1 },  /* latin letter small capital l */
{ 0x2a0, IPA,  211,  -1 },  /* latin small letter q with hook */
{ 0x2a1, IPA,  220,  -1 },  /* latin letter glottal stop with stroke */
{ 0x2a2, IPA,  221,  -1 },  /* latin letter reversed glottal stop with stroke */
{ 0x2a4, IPA,  195,  -1 },  /* latin small letter dezh digraph */
{ 0x2a6, IPA,  181,  -1 },  /* latin small letter ts digraph */
{ 0x2a7, IPA,  217,  -1 },  /* latin small letter tesh digraph */
{ 0x2b0, IPASUPER, 'h',  -1 },  /* modifier letter small h */
{ 0x2b1, IPASUPER, 72,  -1 },  /* modifier letter small h with hook */
{ 0x2b2, IPASUPER, 'j',  -1 },  /* modifier letter small j */
{ 0x2b3, IPASUPER, 'r',  -1 },  /* modifier letter small r */
{ 0x2b4, IPASUPER, 244,  -1 },  /* modifier letter small turned r */
{ 0x2b5, IPA,  126,  -1 },  /* modifier letter small turned r with hook */
{ 0x2b6, IPASUPER, 'K',  -1 },  /* modifier letter small capital inverted r */
{ 0x2b7, IPASUPER, 'w',  -1 },  /* modifier letter small w */
{ 0x2b8, IPASUPER, 'y',  -1 },  /* modifier letter small y */
{ 0x2b9, IPA,  130,  -1 },  /* modifier letter prime */
{ 0x2bc, IPA,  39,  -1 },  /* modifier letter apostrophe */
{ 0x2bd, IPA,  92,  -1 },  /* modifier letter reversed comma */
{ 0x2c0, IPA,  188,  -1 },  /* modifier letter glottal stop */
{ 0x2c1, IPASUPER,  81,  -1 },  /* modifier letter reversed glottal stop */
{ 0x2c2, IPA,  189,  -1 },  /* modifier letter left arrowhead */
{ 0x2c3, IPA,  190,  -1 },  /* modifier letter right arrowhead */
{ 0x2c8, IPA,  128,  -1 },  /* modifier letter vertical line */
{ 0x2cc, IPA,  129,  -1 },  /* modifier letter low vertical line (secondary stress) */
{ 0x2d0, IPA,  58,  -1 },  /* modifier letter triangular colon */
{ 0x2d1, IPA,  59,  -1 },  /* modifier letter half triangular colon */
{ 0x2d8, IPA,  32,  8 },  /* spacing breve (??) = "extra short" */
{ 0x2e0, IPASUPER,  200,  -1 },  /* modifier letter small gamma */
{ 0x2e1, IPASUPER,  'l',  -1 },  /* modifier letter small l */
{ 0x2e2, IPASUPER,  's',  -1 },  /* modifier letter small s */
{ 0x2e3, IPASUPER,  'x',  -1 },  /* modifier letter small x */
{ 0x2e4, IPASUPER,  81,  -1 },  /* modifier letter small reversed glottal stop */
{ 0x2ed, IPA,  94,  -1 },  /* modifier letter unaspirated */
{ 0x300, IPA,  0,  -1 },  /* combining grave accent */
{ 0x301, IPA,  1,  -1 },  /* combining acute accent */
{ 0x302, IPA,  2,  -1 },  /* combining circumflex accent */
{ 0x303, IPA,  3,  -1 },  /* combining tilde */
{ 0x304, IPA,  9,  -1 },  /* combining macron */
{ 0x306, IPA,  8,  -1 },  /* combining breve */
{ 0x307, IPA,  10,  -1 },  /* combining dot above */
{ 0x308, IPA,  4,  -1 },  /* combining diaeresis */
{ 0x309, IPA,  35,  -1 },  /* combining hook above */
{ 0x30a, IPA,  6,  -1 },  /* combining ring above */
{ 0x30b, IPA,  5,  -1 },  /* combining double acute accent */
{ 0x30c, IPA,  7,  -1 },  /* combining caron */
{ 0x30d, IPA,  156,  -1 },  /* combining vertical line above */
{ 0x30f, IPA,  13,  -1 },  /* combining double grave accent */
{ 0x316, IPA,  14,  -1 },  /* combining grave accent below */
{ 0x317, IPAUNDER, 1, -1 },  /* combining acute accent below */
{ 0x318, IPA,  31,  -1 },  /* combining left tack below */
{ 0x319, IPA,  30,  -1 },  /* combining right tack below */
{ 0x31c, IPA,  21,  -1 },  /* combining left half ring below */
{ 0x31d, IPA,  28,  -1 },  /* combining up tack below */
{ 0x31e, IPA,  29,  -1 },  /* combining down tack below */
{ 0x31f, IPA,  27,  -1 },  /* combining plus sign below */
{ 0x321, IPA,  37,  -1 },  /* combining palatalized hook below */
{ 0x322, IPA,  36,  -1 },  /* combining retroflex hook below */
{ 0x323, IPAUNDER,  10,  -1 },  /* combining dot below */
{ 0x324, IPAUNDER,  4,  -1 },  /* combining diaeresis below */
{ 0x325, IPAUNDER,  6,  -1 },  /* combining ring below */
{ 0x327, IPA,  11,  -1 },  /* combining cedilla */
{ 0x328, IPA,  12,  -1 },  /* combining ogonek */
{ 0x329, IPA,  34,  -1 },  /* combining vertical line below */
{ 0x32a, IPA,  17,  -1 },  /* combining bridge below */
{ 0x32c, IPAUNDER,  7,  -1 },  /* combining caron below */
{ 0x32d, IPAUNDER,  2,  -1 },  /* combining circumflex accent below */
{ 0x32e, IPAUNDER,  8,  -1 },  /* combining breve below */
{ 0x32f, IPA,  16,  -1 },  /* combining inverted breve below */
{ 0x330, IPAUNDER,  3,  -1 },  /* combining tilde below */
{ 0x331, IPAUNDER,  IPA,  -1 },  /* combining macron below */
{ 0x334, IPA,  38,  -1 },  /* combining tilde overlay */
{ 0x339, IPA,  20,  -1 },  /* combining right half ring below */
{ 0x33a, IPA,  18,  -1 },  /* combining inverted bridge below */
{ 0x33b, IPA,  19,  -1 },  /* combining square below */
{ 0x33c, IPA,  23,  -1 },  /* combining seagull below */
{ 0x33d, IPA,  24,  -1 },  /* combining x above */
{ 0x344, IPA, 4, 1 }, /* combining greek dialytika tonos, with acute accent */
{ 0x348, IPA,  157,  -1 },  /* combining double vertical line below */
{ 0x3b2, IPA,  66,  -1 },  /* greek small letter beta */
{ 0x3b8, IPA,  84,  -1 },  /* greek small letter theta */
{ 0x3bb, IPA,  171,  -1 },  /* greek small letter lambda */
{ 0x3c5, IPA,  85,  -1 },  /* greek small letter upsilon */
{ 0x3c7, IPA,  88,  -1 },  /* greek small letter chi */
{ 0x3c9, IPA,  176,  -1 },  /* greek small letter omega */
{ 0x3cb, IPA, 85, 4 }, /* greek small letter upsilon with dialytika, with diaeresis */
{ 0x3cd, IPA, 85, 1 }, /* greek small letter upsilon with tonos, with acute accent */
{ 0x3ce, IPA, 176, 1 }, /* greek small letter omega with tonos, with acute accent */
{ 0x44a, IPA,  187,  -1 },  /* cyrillic small letter hard sign */
{ 0x44c, IPA,  186,  -1 },  /* cyrillic small letter soft sign */
{ 0x1e01, IPAUNDER, 'a', 6 }, /* latin small letter a with ring below, with ring below */
{ 0x1e02, ROMAN, 'B', 10 }, /* latin letter B with dot above, with dot above */
{ 0x1e03, IPA, 'b', 10 }, /* latin small letter b with dot above, with dot above */
{ 0x1e04, ROMAN, 'B', PS_underdot }, /* latin letter B with dot below, with dot below */
{ 0x1e05, IPAUNDER, 'b', 10 }, /* latin small letter b with dot below, with dot below */
{ 0x1e06, ROMAN, 'B', PS_underdot }, /* latin letter B with line below, with macron below */
{ 0x1e07, IPAUNDER, 'b', 9 }, /* latin small letter b with line below, with macron below */
{ 0x1e0a, ROMAN, 'D', 10 }, /* latin  letter D with dot above, with dot above */
{ 0x1e0b, IPA, 'd', 10 }, /* latin small letter d with dot above, with dot above */
{ 0x1e0d, IPAUNDER, 'd', 10 }, /* latin small letter d with dot below, with dot below */
{ 0x1e0e, ROMAN, 'D', PS_underline }, /* latin letter D with line below, with macron below */
{ 0x1e0f, IPAUNDER, 'd', 9 }, /* latin small letter d with line below, with macron below */
{ 0x1e10, ROMAN, 'D', 11 }, /* latin letter D with cedilla, with cedilla */
{ 0x1e11, IPA, 'd', 11 }, /* latin small letter d with cedilla, with cedilla */
{ 0x1e13, IPAUNDER, 'd', 2 }, /* latin small letter d with circumflex below */

{ 0x1e15, IPA,  'e', 153 },  /* ... with grave-macron ligature */
{ 0x1e17, IPA,  'e', 152 },  /* ... with macron-acute ligature */
{ 0x1e19, IPAUNDER, 'e', 2 }, /* latin small letter e with circumflex below */
{ 0x1e1b, IPAUNDER, 'e', 3 }, /* latin small letter e with tilde below */

{ 0x1e1e, ROMAN, 'F', 10 }, /* latin letter f with dot above */
{ 0x1e1f, IPA, 'f', 10 }, /* latin small letter f with dot above */
{ 0x1e20, ROMAN, 'G', PS_macron }, /* latin letter G with macron */
{ 0x1e21, ROMAN, 'g', PS_macron }, /* latin letter g with macron */
{ 0x1e21, IPA, 165, PS_macron }, /* latin letter g with macron */
{ 0x1e22, ROMAN, 'H', 10 }, /* latin letter H with dot above */
{ 0x1e23, IPA, 'h', 10 }, /* latin small letter h with dot above */
{ 0x1e24, ROMAN, 'H', PS_underdot }, /* latin letter H with dot below */
{ 0x1e25, IPAUNDER, 'h', 10 }, /* latin small letter h with dot below */
{ 0x1e26, ROMAN, 'H', 4 }, /* latin letter H with diaeresis */
{ 0x1e27, IPA, 'h', 4 }, /* latin small letter h with diaeresis */
{ 0x1e28, ROMAN, 'H', 11 }, /* latin letter H with cedilla */
{ 0x1e29, IPA, 'h', 11 }, /* latin small letter h with cedilla */
{ 0x1e2a, ROMAN, 'H', PS_underbreve }, /* latin small letter h with breve below */
{ 0x1e2b, IPAUNDER, 'h', 8 }, /* latin small letter h with breve below */
{ 0x1e2d, IPAUNDER, 'i', 3 }, /* latin small letter i with tilde below */
{ 0x1e30, ROMAN, 'K', 1 }, /* latin letter K with acute */
{ 0x1e31, IPA, 'k', 1 }, /* latin small letter k with acute */
{ 0x1e33, IPAUNDER, 'k', 10 }, /* latin small letter k with dot below */
{ 0x1e34, ROMAN, 'K', PS_underline }, /* latin letter K with line below, with macron below */
{ 0x1e35, IPAUNDER, 'k', 9 }, /* latin small letter k with line below, with macron below */
{ 0x1e36, ROMAN, 'L', PS_underdot }, /* latin small letter l with dot below, with dot below */
{ 0x1e37, IPAUNDER, 'l', 10 }, /* latin small letter l with dot below, with dot below */
{ 0x1e3a, ROMAN, 'L', PS_underline }, /* latin letter L with line below, with macron below */
{ 0x1e3b, IPAUNDER, 'l', 9 }, /* latin small letter l with line below, with macron below */
{ 0x1e3c, ROMAN, 'L', 2 }, /* latin letter L with circumflex below */
{ 0x1e3d, IPAUNDER, 'l', 2 }, /* latin small letter l with circumflex below */
{ 0x1e3e, ROMAN, 'M', 1 }, /* latin letter M with acute, with acute accent */
{ 0x1e3f, IPA, 'm', 1 }, /* latin small letter m with acute, with acute accent */
{ 0x1e40, ROMAN, 'M', 10 }, /* latin letter M with dot above, with dot above */
{ 0x1e41, IPA, 'm', 10 }, /* latin small letter m with dot above, with dot above */
{ 0x1e42, ROMAN, 'M', PS_underdot }, /* latin letter M with dot below, with dot below */
{ 0x1e43, IPAUNDER, 'm', 10 }, /* latin small letter m with dot below, with dot below */
{ 0x1e44, ROMAN, 'N', 10 }, /* latin letter N with dot above, with dot above */
{ 0x1e45, IPA, 'n', 10 }, /* latin small letter n with dot above, with dot above */
{ 0x1e46, ROMAN, 'N', PS_underdot }, /* latin small letter n with dot below, with dot below */
{ 0x1e47, IPAUNDER, 'n', 10 }, /* latin small letter n with dot below, with dot below */
{ 0x1e48, ROMAN, 'N', PS_underline }, /* latin small letter n with line below, with macron below */
{ 0x1e49, IPAUNDER, 'n', 9 }, /* latin small letter n with line below, with macron below */
{ 0x1e4b, IPAUNDER, 'n', 2 }, /* latin small letter n with circumflex below */
{ 0x1e51, IPA,  'o', 153 },  /* ... with grave-macron ligature */
{ 0x1e53, IPA,  'o', 152 },  /* ... with macron-acute ligature */
{ 0x1e54, ROMAN, 'P', 1 }, /* latin letter P with acute, with acute accent */
{ 0x1e55, IPA, 'p', 1 }, /* latin small letter p with acute, with acute accent */
{ 0x1e56, ROMAN, 'P', 10 }, /* latin letter P with dot above, with dot above */
{ 0x1e57, IPA, 'p', 10 }, /* latin small letter p with dot above, with dot above */
{ 0x1e58, ROMAN, 'R', 10 }, /* latin letter R with dot above, with dot above */
{ 0x1e59, IPA, 'r', 10 }, /* latin small letter r with dot above, with dot above */
{ 0x1e5a, ROMAN, 'R', 10 }, /* latin letter R with dot below, with dot below */
{ 0x1e5b, IPAUNDER, 'r', 10 }, /* latin small letter r with dot below, with dot below */
{ 0x1e5e, ROMAN, 'R', PS_underline }, /* latin letter R with line below, with macron below */
{ 0x1e5f, IPAUNDER, 'r', 9 }, /* latin small letter r with line below, with macron below */
{ 0x1e60, ROMAN, 'S', 10 }, /* latin letter S with dot above, with dot above */
{ 0x1e61, IPA, 's', 10 }, /* latin small letter s with dot above, with dot above */
{ 0x1e62, ROMAN, 'S', PS_underdot }, /* latin letter S with dot below, with dot below */
{ 0x1e63, IPAUNDER, 's', 10 }, /* latin small letter s with dot below, with dot below */
{ 0x1e65, IPA,  's', 159 },  /* ... with dot-acute ligature */
{ 0x1e6b, ROMAN, 'T', 10 }, /* latin letter T with dot above, with dot above */
{ 0x1e6b, IPA, 't', 10 }, /* latin small letter t with dot above, with dot above */
{ 0x1e6c, ROMAN, 'T', PS_underdot }, /* latin small letter t with dot below, with dot below */
{ 0x1e6d, IPAUNDER, 't', 10 }, /* latin small letter t with dot below, with dot below */
{ 0x1e6e, ROMAN, 'T', PS_underline }, /* latin small letter t with line below, with macron below */
{ 0x1e6f, IPAUNDER, 't', 9 }, /* latin small letter t with line below, with macron below */
{ 0x1e71, IPAUNDER, 't', 2 }, /* latin small letter t with circumflex below */
{ 0x1e73, IPAUNDER, 'u', 4 }, /* latin small letter u with diaeresis below, with diaeresis below */
{ 0x1e75, IPAUNDER, 'u', 3 }, /* latin small letter u with tilde below, with tilde below */
{ 0x1e77, IPAUNDER, 'u', 2 }, /* latin small letter u with circumflex below, with circumflex accent below */
{ 0x1e7c, ROMAN, 'V', 3 }, /* latin letter V with tilde, with tilde */
{ 0x1e7d, IPA, 'v', 3 }, /* latin small letter v with tilde, with tilde */
{ 0x1e7e, ROMAN, 'V', PS_underdot }, /* latin letter V with dot below, with dot below */
{ 0x1e7f, IPAUNDER, 'v', 10 }, /* latin small letter v with dot below, with dot below */
{ 0x1e80, ROMAN, 'W', 0 }, /* latin small letter w with grave, with grave accent */
{ 0x1e81, IPA, 'w', 0 }, /* latin small letter w with grave, with grave accent */
{ 0x1e82, ROMAN, 'W', 1 }, /* latin small letter w with acute, with acute accent */
{ 0x1e83, IPA, 'w', 1 }, /* latin small letter w with acute, with acute accent */
{ 0x1e84, ROMAN, 'W', 4 }, /* latin small letter w with diaeresis, with diaeresis */
{ 0x1e85, IPA, 'w', 4 }, /* latin small letter w with diaeresis, with diaeresis */
{ 0x1e86, ROMAN, 'W', 10 }, /* latin small letter w with dot above, with dot above */
{ 0x1e87, IPA, 'w', 10 }, /* latin small letter w with dot above, with dot above */
{ 0x1e88, ROMAN, 'W', PS_underdot }, /* latin small letter w with dot below, with dot below */
{ 0x1e89, IPAUNDER, 'w', 10 }, /* latin small letter w with dot below, with dot below */
{ 0x1e8a, ROMAN, 'X', 10 }, /* latin small letter x with dot above, with dot above */
{ 0x1e8b, IPA, 'x', 10 }, /* latin small letter x with dot above, with dot above */
{ 0x1e8c, ROMAN, 'X', 4 }, /* latin small letter x with diaeresis, with diaeresis */
{ 0x1e8d, IPA, 'x', 4 }, /* latin small letter x with diaeresis, with diaeresis */
{ 0x1e8e, ROMAN, 'Y', 10 }, /* latin small letter y with dot above, with dot above */
{ 0x1e8f, IPA, 'y', 10 }, /* latin small letter y with dot above, with dot above */
{ 0x1e90, ROMAN, 'Z', 2 }, /* latin small letter z with circumflex, with circumflex accent */
{ 0x1e91, IPA, 'z', 2 }, /* latin small letter z with circumflex, with circumflex accent */
{ 0x1e92, ROMAN, 'Z', PS_underdot }, /* latin small letter z with dot below, with dot below */
{ 0x1e93, IPAUNDER, 'z', 10 }, /* latin small letter z with dot below, with dot below */
{ 0x1e94, ROMAN, 'Z', PS_underline }, /* latin small letter z with line below, with macron below */
{ 0x1e95, IPAUNDER, 'z', 9 }, /* latin small letter z with line below, with macron below */
{ 0x1e96, IPAUNDER, 'h', 9 }, /* latin small letter h with line below, with macron below */
{ 0x1e97, IPA, 't', 4 }, /* latin small letter t with diaeresis, with diaeresis */
{ 0x1e98, IPA, 'w', 6 }, /* latin small letter w with ring above, with ring above */
{ 0x1e99, IPA, 'y', 6 }, /* latin small letter y with ring above, with ring above */
{ 0x1ea0, ROMAN, 'A', PS_underdot }, /* latin small letter a with dot below, with dot below */
{ 0x1ea1, IPAUNDER, 'a', 10 }, /* latin small letter a with dot below, with dot below */
{ 0x1ea3, IPA, 'a', 35 }, /* latin small letter a with hook above, with hook above */
{ 0x1ea5, IPA,  'a', 155 },  /* ... with circumflex-acute ligature */
{ 0x1eb8, ROMAN, 'E', PS_underdot }, /* latin small letter e with dot below, with dot below */
{ 0x1eb9, IPAUNDER, 'e', 10 }, /* latin small letter e with dot below, with dot below */
{ 0x1ebb, IPA, 'e', 35 }, /* latin small letter e with hook above, with hook above */
{ 0x1ebc, ROMAN, 'E', 3 }, /* latin small letter e with tilde, with tilde */
{ 0x1ebd, IPA, 'e', 3 }, /* latin small letter e with tilde, with tilde */
{ 0x1ebf, IPA,  'e', 155 },  /* ... with circumflex-acute ligature */
{ 0x1ec9, IPA, 'i', 35 }, /* latin small letter i with hook above, with hook above */
{ 0x1eca, ROMAN, 'I', PS_underdot }, /* latin small letter i with dot below, with dot below */
{ 0x1ecb, IPAUNDER, 'i', 10 }, /* latin small letter i with dot below, with dot below */
{ 0x1ecc, ROMAN, 'O', PS_underdot }, /* latin small letter o with dot below, with dot below */
{ 0x1ecd, IPAUNDER, 'o', 10 }, /* latin small letter o with dot below, with dot below */
{ 0x1ecf, IPA, 'o', 35 }, /* latin small letter o with hook above, with hook above */
{ 0x1ed1, IPA,  'o', 155 },  /* ... with circumflex-acute ligature */
{ 0x1ee4, ROMAN, 'U', PS_underdot }, /* latin small letter u with dot below, with dot below */
{ 0x1ee5, IPAUNDER, 'u', 10 }, /* latin small letter u with dot below, with dot below */
{ 0x1ee7, IPA, 'u', 35 }, /* latin small letter u with hook above, with hook above */
{ 0x1ef2, ROMAN, 'Y', 0 }, /* latin small letter y with grave, with grave accent */
{ 0x1ef3, IPA, 'y', 0 }, /* latin small letter y with grave, with grave accent */
{ 0x1ef4, ROMAN, 'Y', PS_underdot }, /* latin small letter y with dot below, with dot below */
{ 0x1ef5, IPAUNDER, 'y', 10 }, /* latin small letter y with dot below, with dot below */
{ 0x1ef7, IPA, 'y', 35 }, /* latin small letter y with hook above, with hook above */
{ 0x1ef8, ROMAN, 'Y', 3 }, /* latin small letter y with tilde, with tilde */
{ 0x1ef9, IPA, 'y', 3 }, /* latin small letter y with tilde, with tilde */
{ 0x1f7a, IPA, 85, 0 }, /* greek small letter upsilon with varia, with grave accent */
{ 0x1f7c, IPA, 176, 0 }, /* greek small letter omega with varia, with grave accent */
{ 0x1fe0, IPA, 85, 8 }, /* greek small letter upsilon with vrachy, with breve */
{ 0x1fe1, IPA, 85, 9 }, /* greek small letter upsilon with macron, with macron */
{ 0x2016, IPA,  147,  -1 },  /* double vertical line */
{ 0x2018, IPA,  96,  -1 },  /* turned apostrophe/comma */
{ 0x2191, IPA,  149,  -1 },  /* upwards arrow */
{ 0x2193, IPA,  148,  -1 },  /* downwards arrow */
{ 0x2197, IPA,  150,  -1 },  /* north east arrow */
{ 0x2198, IPA,  151,  -1 },  /* south east arrow */

/* ROMAN superscripts and subscripts */

{ 0x00b2, SUPER, '2', -1 },
{ 0x00b3, SUPER, '3', -1 },
{ 0x00b9, SUPER, '1', -1 },
{ 0x2070, SUPER, '0', -1 },
{ 0x2074, SUPER, '4', -1 },
{ 0x2075, SUPER, '5', -1 },
{ 0x2076, SUPER, '6', -1 },
{ 0x2077, SUPER, '7', -1 },
{ 0x2078, SUPER, '8', -1 },
{ 0x2079, SUPER, '9', -1 },
{ 0x207a, SUPER, '+', -1 },
{ 0x207b, SUPER, '-', -1 },
{ 0x207c, SUPER, '=', -1 },
{ 0x207d, SUPER, '(', -1 },
{ 0x207e, SUPER, ')', -1 },
{ 0x207f, SUPER, 'n', -1 },

{ 0x2080, SUB, '0', -1 },
{ 0x2081, SUB, '1', -1 },
{ 0x2082, SUB, '2', -1 },
{ 0x2083, SUB, '3', -1 },
{ 0x2084, SUB, '4', -1 },
{ 0x2085, SUB, '5', -1 },
{ 0x2086, SUB, '6', -1 },
{ 0x2087, SUB, '7', -1 },
{ 0x2088, SUB, '8', -1 },
{ 0x2089, SUB, '9', -1 },
{ 0x208a, SUB, '+', -1 },
{ 0x208b, SUB, '-', -1 },
{ 0x208c, SUB, '=', -1 },
{ 0x208d, SUB, '(', -1 },
{ 0x208e, SUB, ')', -1 },

/* MATH */
{ 0xac, MATH,  217,  -1 },  /* not sign */
{ 0xb0, MATH,  177,  -1 },  /* degree sign */
{ 0xb1, MATH,  178,  -1 },  /* minus sign */
{ 0xd7, MATH,  181,  -1 },  /* multiplication sign */
{ 0xf7, MATH,  185,  -1 },  /* division sign */
{ 0x192, MATH,  167,  -1 },  /* latin small letter f with hook */
{ 0x391, MATH,  65,  -1 },  /* greek capital letter alpha */
{ 0x392, MATH,  66,  -1 },  /* greek capital letter beta */
{ 0x393, MATH,  71,  -1 },  /* greek capital letter gamma */
{ 0x394, MATH,  68,  -1 },  /* greek capital letter delta */
{ 0x395, MATH,  69,  -1 },  /* greek capital letter epsilon */
{ 0x396, MATH,  90,  -1 },  /* greek capital letter zeta */
{ 0x397, MATH,  72,  -1 },  /* greek capital letter eta */
{ 0x398, MATH,  81,  -1 },  /* greek capital letter theta */
{ 0x399, MATH,  73,  -1 },  /* greek capital letter iota */
{ 0x39a, MATH,  75,  -1 },  /* greek capital letter kappa */
{ 0x39b, MATH,  76,  -1 },  /* greek capital letter lamda */
{ 0x39c, MATH,  77,  -1 },  /* greek capital letter mu */
{ 0x39d, MATH,  78,  -1 },  /* greek capital letter nu */
{ 0x39e, MATH,  88,  -1 },  /* greek capital letter xi */
{ 0x39f, MATH,  79,  -1 },  /* greek capital letter omicron */
{ 0x3a0, MATH,  80,  -1 },  /* greek capital letter pi */
{ 0x3a1, MATH,  82,  -1 },  /* greek capital letter rho */
{ 0x3a3, MATH,  83,  -1 },  /* greek capital letter sigma */
{ 0x3a4, MATH,  84,  -1 },  /* greek capital letter tau */
{ 0x3a5, MATH,  85,  -1 },  /* greek capital letter upsilon */
{ 0x3a6, MATH,  70,  -1 },  /* greek capital letter phi */
{ 0x3a7, MATH,  67,  -1 },  /* greek capital letter chi */
{ 0x3a8, MATH,  89,  -1 },  /* greek capital letter psi */
{ 0x3a9, MATH,  87,  -1 },  /* greek capital letter omega */
{ 0x3b1, MATH, 'a', -1 }, /* greek small letter alpha */
{ 0x3b2, MATH, 'b', -1 }, /* greek small letter beta */
{ 0x3b3, MATH, 'g', -1 }, /* greek small letter gamma */
{ 0x3b4, MATH, 'd', -1 }, /* greek small letter delta */
{ 0x3b5, MATH, 'e', -1 }, /* greek small letter epsilon */
{ 0x3b6, MATH, 'z', -1 }, /* greek small letter zeta */
{ 0x3b7, MATH, 'h', -1 }, /* greek small letter eta */
{ 0x3b8, MATH, 'q', -1 }, /* greek small letter theta */
{ 0x3b9, MATH, 'i', -1 }, /* greek small letter iota */
{ 0x3ba, MATH, 'k', -1 }, /* greek small letter kappa */
{ 0x3bb, MATH, 'l', -1 }, /* greek small letter lamda */
{ 0x3bc, MATH, 'm', -1 }, /* greek small letter mu */
{ 0x3bd, MATH, 'n', -1 }, /* greek small letter nu */
{ 0x3be, MATH, 'x', -1 }, /* greek small letter xi */
{ 0x3bf, MATH, 'o', -1 }, /* greek small letter omicron */
{ 0x3c0, MATH, 'p', -1 }, /* greek small letter pi */
{ 0x3c1, MATH, 'r', -1 }, /* greek small letter rho */
{ 0x3c2, MATH,  86,  -1 },  /* greek small letter final sigma */
{ 0x3c3, MATH, 's', -1 }, /* greek small letter sigma */
{ 0x3c4, MATH, 't', -1 }, /* greek small letter tau */
{ 0x3c5, MATH, 'u', -1 }, /* greek small letter upsilon */
{ 0x3c6, MATH, 'f', -1 }, /* greek small letter phi */
{ 0x3c7, MATH, 'c', -1 }, /* greek small letter chi */
{ 0x3c8, MATH, 'y', -1 }, /* greek small letter psi */
{ 0x3c9, MATH, 'w', -1 }, /* greek small letter omega */
{ 0x3d1, MATH,  74,  -1 },  /* greek theta symbol */
{ 0x3d2, MATH,  161,  -1 },  /* greek upsilon with hook symbol */
{ 0x3d3, MATH,  161,  1 },  /* greek upsilon with acute and hook symbol */
{ 0x3d4, MATH,  161,  4 },  /* greek upsilon with diaeresis and hook symbol */
{ 0x3d5, MATH, 'j', -1 }, /* greek phi symbol */
{ 0x3d6, MATH, 'v', -1 }, /* greek pi symbol */
{ 0x2022, MATH,  184,  -1 },  /* bullet */
{ 0x2026, MATH,  189,  -1 },  /* horizontal ellipsis */
{ 0x2032, MATH,  162,  -1 },  /* prime */
{ 0x2033, MATH,  179,  -1 },  /* double prime */
{ 0x2044, MATH,  164,  -1 },  /* fraction slash */
{ 0x20ac, MATH,  160,  -1 },  /* euro sign */
{ 0x2111, MATH,  194,  -1 },  /* letter capital i */
{ 0x2118, MATH,  196,  -1 },  /* script capital p */
{ 0x211c, MATH,  195,  -1 },  /* letter capital r */
{ 0x2135, MATH,  193,  -1 },  /* alef symbol */
{ 0x2190, MATH,  173,  -1 },  /* leftwards arrow */
{ 0x2191, MATH,  174,  -1 },  /* upwards arrow */
{ 0x2192, MATH,  175,  -1 },  /* rightwards arrow */
{ 0x2193, MATH,  176,  -1 },  /* downwards arrow */
{ 0x2194, MATH,  172,  -1 },  /* left right arrow */
{ 0x21b5, MATH,  192,  -1 },  /* downwards arrow with corner leftwards */
{ 0x21d0, MATH,  221,  -1 },  /* leftwards double arrow */
{ 0x21d1, MATH,  222,  -1 },  /* upwards double arrow */
{ 0x21d2, MATH,  223,  -1 },  /* rightwards double arrow */
{ 0x21d3, MATH,  224,  -1 },  /* downwards double arrow */
{ 0x21d4, MATH,  220,  -1 },  /* left right double arrow */
{ 0x2200, MATH,  34,  -1 },  /* for all */
{ 0x2202, MATH,  183,  -1 },  /* partial differential */
{ 0x2203, MATH,  36,  -1 },  /* there exists */
{ 0x2205, MATH,  199,  -1 },  /* empty set */
{ 0x2207, MATH,  210,  -1 },  /* nabla */
{ 0x2208, MATH,  207,  -1 },  /* element of */
{ 0x2209, MATH,  208,  -1 },  /* not an element of */
{ 0x220b, MATH,  39,  -1 },  /* contains as member */
{ 0x220f, MATH,  214,  -1 },  /* ary product */
{ 0x2211, MATH,  230,  -1 },  /* ary summation */
{ 0x2212, MATH,  45,  -1 },  /* minus sign */
{ 0x2215, MATH,  165,  -1 },  /* division slash */
{ 0x2217, MATH,  42,  -1 },  /* asterisk operator */
{ 0x221a, MATH,  215,  -1 },  /* square root */
{ 0x221d, MATH,  182,  -1 },  /* proportional to */
{ 0x221e, MATH,  166,  -1 },  /* infinity */
{ 0x2220, MATH,  209,  -1 },  /* angle */
{ 0x2227, MATH,  218,  -1 },  /* logical and */
{ 0x2228, MATH,  219,  -1 },  /* logical or */
{ 0x2229, MATH,  200,  -1 },  /* intersection */
{ 0x222a, MATH,  201,  -1 },  /* union */
{ 0x222b, MATH,  242,  -1 },  /* integral */
{ 0x2234, MATH,  92,  -1 },  /* therefore */
{ 0x223c, MATH,  126,  -1 },  /* tilde operator */
{ 0x2245, MATH,  64,  -1 },  /* approximately equal to */
{ 0x2248, MATH,  188,  -1 },  /* almost equal to */
{ 0x2260, MATH,  186,  -1 },  /* not equal to */
{ 0x2261, MATH,  187,  -1 },  /* identical to */
{ 0x2264, MATH,  163,  -1 },  /* than or equal to */
{ 0x2265, MATH,  180,  -1 },  /* than or equal to */
{ 0x2282, MATH,  205,  -1 },  /* subset of */
{ 0x2283, MATH,  202,  -1 },  /* superset of */
{ 0x2284, MATH,  204,  -1 },  /* not a subset of */
{ 0x2286, MATH,  206,  -1 },  /* subset of or equal to */
{ 0x2287, MATH,  203,  -1 },  /* superset of or equal to */
{ 0x2295, MATH,  198,  -1 },  /* circled plus */
{ 0x2297, MATH,  197,  -1 },  /* circled times */
{ 0x22a5, MATH,  94,  -1 },  /* up tack */
{ 0x22c5, MATH,  216,  -1 },  /* dot operator */
{ 0x2320, MATH,  243,  -1 },  /* top half integral */
{ 0x2321, MATH,  245,  -1 },  /* bottom half integral */
{ 0x2329, MATH,  226,  -1 },  /* pointing angle bracket */
{ 0x232a, MATH,  241,  -1 },  /* pointing angle bracket */
{ 0x25c6, MATH,  169,  -1 },  /* black diamond suit */
{ 0x25ca, MATH,  225,  -1 },  /* lozenge */
{ 0x2660, MATH,  171,  -1 },  /* black spade suit */
{ 0x2663, MATH,  168,  -1 },  /* black club suit */
{ 0x2665, MATH,  170,  -1 },  /* black heart suit */
{ 0x2666, MATH,  169,  -1 },  /* black diamond suit */
/* BOXES */
/* "--"			glyph['q'] = 'q'; */
{ 0x2500, BOX, 'q', -1 }, /* BOX DRAWINGS LIGHT HORIZONTAL */
{ 0x2501, BOX, 'Q', -1 }, 
/* "|"			glyph['x'] = 'x'; */
{ 0x2502, BOX, 'x', -1 }, /* BOX DRAWINGS LIGHT VERTICAL */
{ 0x2503, BOX, 'X', -1 }, 
/* "lceil"		glyph['l'] = 'l'; */
{ 0x250c, BOX, 'l', -1 }, /* BOX DRAWINGS LIGHT DOWN AND RIGHT */
{ 0x250f, BOX, 'L', -1 }, 
/* "rceil"		glyph['k'] = 'k'; */
{ 0x2510, BOX, 'k', -1 }, /* BOX DRAWINGS LIGHT DOWN AND LEFT */
{ 0x2513, BOX, 'K', -1 }, 
/* "lfloor"		glyph['m'] = 'm'; */
{ 0x2514, BOX, 'm', -1 }, /* BOX DRAWINGS LIGHT UP AND RIGHT */
{ 0x2517, BOX, 'M', -1 }, 
/* "rfloor"		glyph['j'] = 'j'; */
{ 0x2518, BOX, 'j', -1 }, /* BOX DRAWINGS LIGHT UP AND LEFT */
{ 0x251b, BOX, 'J', -1 }, 
/* "vdash"		glyph['t'] = 't'; */
{ 0x251c, BOX, 't', -1 }, /* BOX DRAWINGS LIGHT VERTICAL AND RIGHT */
{ 0x2523, BOX, 'T', -1 }, 
/* "dashv"		glyph['u'] = 'u'; */
{ 0x2524, BOX, 'u', -1 }, /* BOX DRAWINGS LIGHT VERTICAL AND LEFT */
{ 0x252b, BOX, 'U', -1 }, 
/* "bot"		glyph['v'] = 'v'; */
{ 0x252c, BOX, 'w', -1 }, /* BOX DRAWINGS LIGHT DOWN AND HORIZONTAL */
{ 0x2533, BOX, 'W', -1 }, 
/* "top"		glyph['w'] = 'w'; */
{ 0x2534, BOX, 'v', -1 }, /* BOX DRAWINGS LIGHT UP AND HORIZONTAL */
{ 0x253b, BOX, 'V', -1 }, 
/* \\"|"		glyph['n'] = 'n'; */
{ 0x253c, BOX, 'n', -1 }, /* BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL */
{ 0x254b, BOX, 'N', -1 }, 
{ 0x2591, BOX, 'h', -1 }, 
{ 0x2592, BOX, 'H', -1 }, 
{ -1, -1, -1, -1 }
};

